<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Realestate</title>

    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet"
        href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
    <!-- DataTables -->
    <link rel="stylesheet" href="../../plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
    <link rel="stylesheet" href="../../plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
    <link rel="stylesheet" href="../../plugins/datatables-buttons/css/buttons.bootstrap4.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css">
    <style>
        /* #ex {
            overflow-x: auto;
            
        } */
    </style>
</head>

<body class="hold-transition sidebar-mini">
    <!-- Site wrapper -->
    <div class="wrapper">
        <!-- Navbar -->
        <nav class="main-header navbar navbar-expand navbar-white navbar-light">
            <!-- Left navbar links -->
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
                </li>
                <li class="nav-item d-none d-sm-inline-block">
                    <a href="../../index3.html" class="nav-link">Home</a>
                </li>
                <li class="nav-item d-none d-sm-inline-block">
                    <a href="#" class="nav-link">Contact</a>
                </li>
            </ul>

            <!-- Right navbar links -->
            <ul class="navbar-nav ml-auto">
                <!-- Navbar Search -->
                <li class="nav-item">
                    <a class="nav-link" data-widget="navbar-search" href="#" role="button">
                        <i class="fas fa-search"></i>
                    </a>
                    <div class="navbar-search-block">
                        <form class="form-inline">
                            <div class="input-group input-group-sm">
                                <input class="form-control form-control-navbar" type="search" placeholder="Search"
                                    aria-label="Search">
                                <div class="input-group-append">
                                    <button class="btn btn-navbar" type="submit">
                                        <i class="fas fa-search"></i>
                                    </button>
                                    <button class="btn btn-navbar" type="button" data-widget="navbar-search">
                                        <i class="fas fa-times"></i>
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </li>

                <!-- Messages Dropdown Menu -->
                <li class="nav-item dropdown">
                    <a class="nav-link" data-toggle="dropdown" href="#">
                        <i class="far fa-comments"></i>
                        <span class="badge badge-danger navbar-badge">3</span>
                    </a>
                    <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                        <a href="#" class="dropdown-item">
                            <!-- Message Start -->
                            <div class="media">
                                <img src="dist/img/user1-128x128.jpg" alt="User Avatar"
                                    class="img-size-50 mr-3 img-circle">
                                <div class="media-body">
                                    <h3 class="dropdown-item-title">
                                        Brad Diesel
                                        <span class="float-right text-sm text-danger"><i class="fas fa-star"></i></span>
                                    </h3>
                                    <p class="text-sm">Call me whenever you can...</p>
                                    <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
                                </div>
                            </div>
                            <!-- Message End -->
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item">
                            <!-- Message Start -->
                            <div class="media">
                                <img src="dist/img/user8-128x128.jpg" alt="User Avatar"
                                    class="img-size-50 img-circle mr-3">
                                <div class="media-body">
                                    <h3 class="dropdown-item-title">
                                        John Pierce
                                        <span class="float-right text-sm text-muted"><i class="fas fa-star"></i></span>
                                    </h3>
                                    <p class="text-sm">I got your message bro</p>
                                    <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
                                </div>
                            </div>
                            <!-- Message End -->
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item">
                            <!-- Message Start -->
                            <div class="media">
                                <img src="dist/img/user3-128x128.jpg" alt="User Avatar"
                                    class="img-size-50 img-circle mr-3">
                                <div class="media-body">
                                    <h3 class="dropdown-item-title">
                                        Nora Silvester
                                        <span class="float-right text-sm text-warning"><i
                                                class="fas fa-star"></i></span>
                                    </h3>
                                    <p class="text-sm">The subject goes here</p>
                                    <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
                                </div>
                            </div>
                            <!-- Message End -->
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item dropdown-footer">See All Messages</a>
                    </div>
                </li>
                <!-- Notifications Dropdown Menu -->
                <li class="nav-item dropdown">
                    <a class="nav-link" data-toggle="dropdown" href="#">
                        <i class="far fa-bell"></i>
                        <span class="badge badge-warning navbar-badge">15</span>
                    </a>
                    <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                        <span class="dropdown-item dropdown-header">15 Notifications</span>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item">
                            <i class="fas fa-envelope mr-2"></i> 4 new messages
                            <span class="float-right text-muted text-sm">3 mins</span>
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item">
                            <i class="fas fa-users mr-2"></i> 8 friend requests
                            <span class="float-right text-muted text-sm">12 hours</span>
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item">
                            <i class="fas fa-file mr-2"></i> 3 new reports
                            <span class="float-right text-muted text-sm">2 days</span>
                        </a>
                        <div class="dropdown-divider"></div>
                        <a href="#" class="dropdown-item dropdown-footer">See All Notifications</a>
                    </div>
                </li>
                <li class="nav-item">
                    <a class="nav-link" data-widget="fullscreen" href="#" role="button">
                        <i class="fas fa-expand-arrows-alt"></i>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" data-widget="control-sidebar" data-slide="true" href="#" role="button">
                        <i class="fas fa-th-large"></i>
                    </a>
                </li>
            </ul>
        </nav>
        <!-- /.navbar -->

        <!-- Main Sidebar Container -->
        <aside class="main-sidebar sidebar-dark-primary elevation-4">
            <!-- Brand Logo -->
            <a href="../../index3.html" class="brand-link">
                <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3"
                    style="opacity: .8">
                <span class="brand-text font-weight-light">Devcamp</span>
            </a>

            <!-- Sidebar -->
            <div class="sidebar">
                <!-- Sidebar user (optional) -->
                <div class="user-panel mt-3 pb-3 mb-3 d-flex">
                    <div class="image">
                        <img src="dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
                    </div>
                    <div class="info">
                        <a href="#" class="d-block">DaHQ</a>
                    </div>
                </div>

                <!-- SidebarSearch Form -->
                <div class="form-inline">
                    <div class="input-group" data-widget="sidebar-search">
                        <input class="form-control form-control-sidebar" type="search" placeholder="Search"
                            aria-label="Search">
                        <div class="input-group-append">
                            <button class="btn btn-sidebar">
                                <i class="fas fa-search fa-fw"></i>
                            </button>
                        </div>
                    </div>
                </div>

                <!-- Sidebar Menu -->
                <nav class="mt-2">
                    <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu"
                        data-accordion="false">
                        <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
                        <li class="nav-item menu-open">
                            <a href="#" class="nav-link act active">
                                <i class="nav-icon fas fa-tachometer-alt"></i>
                                <p>
                                    Dashboard
                                    <i class="right fas fa-angle-left"></i>
                                </p>
                            </a>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="Customer.html" class="nav-link">
                                        <i class="far fa-user nav-icon"></i>
                                        <p>Customer</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="AddressMap.html" class="nav-link">
                                        <i class="fas fa-map nav-icon"></i>
                                        <p>Addres Map</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="Constrcution.html" class="nav-link">
                                        <!-- <i class="fas fa-hard-hat"></i> -->
                                        <i class="fas fa-hard-hat nav-icon"></i>
                                        <p>Construction</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="DesignUnit.html" class="nav-link">
                                        <i class="fas fa-swatchbook nav-icon"></i>
                                        <p>Design Unit</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="Investor.html" class="nav-link">

                                        <i class="fas fa-warehouse nav-icon"></i>
                                        <p>Investor</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="Location.html" class="nav-link">

                                        <i class="fas fa-street-view nav-icon"></i>
                                        <p>Location</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="Utilities.html" class="nav-link">

                                        <i class="fas fa-tools nav-icon"></i>
                                        <p>Utilities</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="Project.html" class="nav-link">

                                        <i class="fas fa-project-diagram nav-icon"></i>
                                        <p>Project</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="Realestate.html" class="nav-link active">

                                        <i class="fas fa-sign nav-icon"></i>
                                        <p>Realestate</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="User.html" class="nav-link">

                                        <i class="fas fa-sign nav-icon"></i>
                                        <p>User</p>
                                    </a>
                                </li>

                            </ul>
                        </li>

                    </ul>
                </nav>
                <!-- /.sidebar-menu -->
            </div>
            <!-- /.sidebar -->
        </aside>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6">
                            <h1>Blank Page</h1>
                        </div>
                        <div class="col-sm-6">
                            <ol class="breadcrumb float-sm-right">
                                <li class="breadcrumb-item"><a href="#">Home</a></li>
                                <li class="breadcrumb-item active">Blank Page</li>
                            </ol>
                        </div>
                    </div>
                </div><!-- /.container-fluid -->
            </section>


            <!-- Main content -->
            <section class="content" id="hello">
                <section class="content">
                    <div class="container-fluid">
                        <div class="row" id="">
                            <div class="col-12" id="">

                                <!-- /.card -->

                                <div class="card" id="">
                                    <div class="card-header">
                                        <h3 class="card-title">DataTable with default features</h3>
                                    </div>
                                    <div class="row">
                                        <div class="col-sm-12">

                                            <button id="btn-add-real" class="btn btn-success m-3">Add
                                                Realestate</button>
                                            <div class="row">
                                                <div class="col-lg-3">
                                                    <select name="" class="form-control" id="select-user">
                                                        <option value="">User</option>
                                                    </select>

                                                </div>
                                                <div class="col-lg-3">
                                                    <select name="" class="form-control" id="select-province">
                                                        <option value="">Province</option>
                                                    </select>

                                                </div>
                                                <div class="col-lg-3">
                                                    <select name="" class="form-control" id="select-district">
                                                        <option value="">Distriict</option>
                                                    </select>

                                                </div>
                                                <div class="col-lg-3">
                                                    <select name="" class="form-control" id="select-ward">
                                                        <option value="">Ward</option>
                                                    </select>

                                                </div>
                                            </div>



                                        </div>

                                    </div>
                                    <!-- /.card-header -->
                                    <div class="card-body" id="ex">

                                        <table id="example1" class="table table-bordered table-striped">
                                            <thead>
                                                <tr>

                                                    <th>STT</th>
                                                    <th>status</th>
                                                    <th>Title</th>
                                                    <th>Type</th>
                                                    <th>Request</th>
                                                    <th>Address</th>
                                                    <th>price</th>
                                                    <th>Total floor</th>

                                                    <th>bath</th>
                                                    <th>bedroom</th>
                                                    <th>Description</th>
                                                    <th>Photo</th>

                                                    <th>Customer</th>
                                                    <th>action</th>

                                                </tr>
                                            </thead>


                                        </table>
                                    </div>
                                    <!-- /.card-body -->
                                </div>
                                <!-- /.card -->
                            </div>
                            <!-- /.col -->
                        </div>
                        <!-- /.row -->
                    </div>
                    <!-- /.container-fluid -->
                </section>

            </section>
            <!-- /.content -->
            <!-- modal add -->
            <div id="modal-add" class="modal" tabindex="-1" role="dialog">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title">Realestate</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <div class="row">
                                <div class="col-sm-4">
                                    <label for="">Title</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" name="" id="inp-add-title" placeholder="" class="form-control">
                                </div>
                            </div>
                            <div class="row mt-3">
                                <div class="col-sm-4">
                                    <label for="">bedroom</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" name="" id="inp-add-bedroom" placeholder="" class="form-control">
                                </div>
                            </div>
                            <div class="row mt-3">
                                <div class="col-sm-4">
                                    <label for="">Address</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" name="" id="inp-add-address" placeholder="Address"
                                        class="form-control">
                                </div>
                            </div>
                            <div class="row mt-3">
                                <div class="col-sm-4">
                                    <label for="">bath</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" name="" id="inp-add-bath" placeholder="" class="form-control">
                                </div>
                            </div>
                            <div class="row mt-3">
                                <div class="col-sm-4">
                                    <label for="">price</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" name="" id="inp-add-price" placeholder="" class="form-control">
                                </div>
                            </div>
                            <div class="row mt-3">
                                <div class="col-sm-4">
                                    <label for="">Acreage</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" name="" id="inp-add-acreage" placeholder="" class="form-control">
                                </div>
                            </div>
                            <div class="row mt-3">
                                <div class="col-sm-4">
                                    <label for="">description</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" name="" id="inp-add-des" placeholder="" class="form-control">
                                </div>
                            </div>
                            <div class="row mt-3">
                                <div class="col-sm-4">
                                    <label for="">Floor</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" name="" id="inp-add-floor" placeholder="" class="form-control">
                                </div>
                            </div>
                            <div class="row mt-3">
                                <div class="col-sm-4">
                                    <label for="">request</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" name="" id="inp-add-request" placeholder="" class="form-control">
                                </div>
                            </div>
                            <div class="row mt-3">
                                <div class="col-sm-4">
                                    <label for="">Type</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" name="" id="inp-add-type" placeholder="" class="form-control">
                                </div>
                            </div>
                            <div class="row mt-3">
                                <div class="col-sm-4">
                                    <label for="">Photo</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" name="" id="inp-add-photo" placeholder="" class="form-control">
                                </div>
                            </div>

                        </div>
                        <div class="modal-footer">
                            <button id="btn-save-add" type="button" class="btn btn-primary">Add</button>
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        </div>
                    </div>
                </div>
            </div>
            <!-- end add -->
            <!-- modal update -->
            <div id="modal-up" class="modal" tabindex="-1" role="dialog">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title">Realestate update</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <div class="row">
                                <div class="col-sm-4">
                                    <label for="">Title</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" name="" id="inp-up-title" placeholder="Contatc title"
                                        class="form-control">
                                </div>
                            </div>
                            <div class="row mt-3">
                                <div class="col-sm-4">
                                    <label for="">type</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" name="" id="inp-up-type" placeholder="Contatc Name"
                                        class="form-control">
                                </div>
                            </div>
                            <div class="row mt-3">
                                <div class="col-sm-4">
                                    <label for="">request</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" name="" id="inp-up-request" placeholder="Address"
                                        class="form-control">
                                </div>
                            </div>
                            <div class="row mt-3">
                                <div class="col-sm-4">
                                    <label for="">Address</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" name="" id="inp-up-address" placeholder="phone"
                                        class="form-control">
                                </div>
                            </div>
                            <div class="row mt-3">
                                <div class="col-sm-4">
                                    <label for="">Price</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" name="" id="inp-up-price" placeholder="email"
                                        class="form-control">
                                </div>
                            </div>
                            <div class="row mt-3">
                                <div class="col-sm-4">
                                    <label for="">floor</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" name="" id="inp-up-floor" placeholder="Address"
                                        class="form-control">
                                </div>
                            </div>
                            <div class="row mt-3">
                                <div class="col-sm-4">
                                    <label for="">Bath</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" name="" id="inp-up-bath" placeholder="Address"
                                        class="form-control">
                                </div>
                            </div>

                            <div class="row mt-3">
                                <div class="col-sm-4">
                                    <label for="">Bedroom</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" name="" id="inp-up-bedroom" placeholder="Address"
                                        class="form-control">
                                </div>
                            </div>
                            <div class="row mt-3">
                                <div class="col-sm-4">
                                    <label for="">Description</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" name="" id="inp-up-des" placeholder="Address"
                                        class="form-control">
                                </div>
                            </div>
                            <div class="row mt-3">
                                <div class="col-sm-4">
                                    <label for="">Photo</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" name="" id="inp-up-photo" placeholder="Address"
                                        class="form-control">
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button id="btn-save-up" type="button" class="btn btn-primary">Update</button>
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        </div>
                    </div>
                </div>
            </div>
            <!-- end update -->
            <!-- modal delete -->
            <div id="modal-delete" class="modal" tabindex="-1" role="dialog">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title">Realestate</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">

                            <h1>Delete Realestate</h1>
                        </div>
                        <div class="modal-footer">
                            <button id="btn-save-delete" type="button" class="btn btn-primary">Delete</button>
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        </div>
                    </div>
                </div>
            </div>
            <!-- end delete -->
        </div>
        <!-- /.content-wrapper -->

        <footer class="main-footer">
            <div class="float-right d-none d-sm-block">
                <b>Version</b> 3.2.0
            </div>
            <strong>Copyright &copy; 2014-2021 <a href="https://adminlte.io">AdminLTE.io</a>.</strong> All rights
            reserved.
        </footer>

        <!-- Control Sidebar -->
        <aside class="control-sidebar control-sidebar-dark">
            <!-- Control sidebar content goes here -->
        </aside>
        <!-- /.control-sidebar -->
    </div>
    <!-- ./wrapper -->

    <!-- jQuery -->
    <script src="plugins/jquery/jquery.min.js"></script>
    <!-- Bootstrap 4 -->
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
    <!-- DataTables  & Plugins -->
    <script src="../../plugins/datatables/jquery.dataTables.min.js"></script>
    <script src="../../plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
    <script src="../../plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
    <script src="../../plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
    <script src="../../plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
    <script src="../../plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
    <script src="../../plugins/jszip/jszip.min.js"></script>
    <script src="../../plugins/pdfmake/pdfmake.min.js"></script>
    <script src="../../plugins/pdfmake/vfs_fonts.js"></script>
    <script src="../../plugins/datatables-buttons/js/buttons.html5.min.js"></script>
    <script src="../../plugins/datatables-buttons/js/buttons.print.min.js"></script>
    <script src="../../plugins/datatables-buttons/js/buttons.colVis.min.js"></script>
    <!-- AdminLTE App -->
    <script src="dist/js/adminlte.min.js"></script>
    <!-- AdminLTE for demo purposes -->
    <script src="dist/js/demo.js"></script>

    <script>
        "use strict";
        /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
        const gCOL_NAME = ["STT", "status", "title", "partType", "request", "address", "price", "totalFloors", "bath", "bedroom", "description", "photo", "customer", "action"]
        var gSTT = 0;
        const gBASE_URL = "http://localhost:8080/";
        // Lấy giá trị user_id từ LocalStorage
        var accessToken = localStorage.getItem('token');
        var vData = [];
        /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
        $(document).ready(function () {

            $(function () {
                $("#example1").DataTable({

                    // "responsive": true, "lengthChange": false, "autoWidth": false,
                    "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"],
                    "scrollX": true,

                    columns: [
                        { data: gCOL_NAME[0] },
                        { data: gCOL_NAME[1] },
                        { data: gCOL_NAME[2] },
                        { data: gCOL_NAME[3] },
                        { data: gCOL_NAME[4] },
                        { data: gCOL_NAME[5] },
                        { data: gCOL_NAME[6] },
                        { data: gCOL_NAME[7] },
                        { data: gCOL_NAME[8] },
                        { data: gCOL_NAME[9] },
                        { data: gCOL_NAME[10] },
                        { data: gCOL_NAME[11] },
                        { data: gCOL_NAME[12] },
                        { data: gCOL_NAME[13] },

                    ],
                    columnDefs: [
                        {
                            targets: 0,
                            render: function changeStt() {
                                return gSTT++;
                            }
                        },
                        {
                            targets: 13,
                            defaultContent: '<i class="fas fa-edit mr-3 btn-update"></i>' + '<i class="fas fa-trash-alt btn-delete"></i>'
                        },
                        {
                            targets: 3,
                            render: function changeType(data) {
                                if (data == 0) {
                                    return "null";
                                }
                                else if (data == 1) {
                                    return "Căn hộ chung cư"
                                }
                                else if (data == 2) {
                                    return "Nhà Bán";
                                }
                                else if (data == 3) {
                                    return "Đất";
                                }
                                else if (data == 4) {
                                    return "Resort";
                                }
                                else if (data == 5) {
                                    return "Nhà riêng";
                                }
                                else if (data == 6) {
                                    return "Nhà Biệt thự";
                                }
                                else if (data == 7) {
                                    return "Nhà mặt phố";
                                }
                                else if (data == 8) {
                                    return "Shophouse";
                                }
                                else if (data == 9) {
                                    return "Biệt thự liền kề";
                                }
                                else if (data == 10) {
                                    return "Đất nền dự án";
                                }
                            }
                        },
                        {
                            targets: 4,
                            render: function changeType(data) {
                                if (data == 0) {
                                    return "For Sale";
                                }
                                else if (data == 1) {
                                    return "Need To Purcharse"
                                }
                                else if (data == 2) {
                                    return "For Rent";
                                }
                                else if (data == 3) {
                                    return "Need To Rent";
                                }

                            }
                        },
                        {
                            targets: 1,
                            render: function changeStatus(data) {
                                if (data == 0) {
                                    return '<button class="btn btn-warning btn-pending">Pending</button>'
                                }
                                else if (data == 1) {
                                    return '<button class="btn btn-success btn-approved">Approved</button>'
                                }

                            }
                        },



                    ]
                }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');

            });

            onLoadDataTable();
            onLoadUser();
            onLoadProvince();
            $("#select-province").on("change", function () {
                var vId = $("#select-province").val();
                $("#select-district").html("");
                onLoadDistrict(vId);
            })
            $("#select-district").on("change", function () {
                var vId = $("#select-district").val();
                $("#select-ward").html("");
                onLoadWard(vId);
            })

            $("#btn-add-real").on("click", function () {
                var vUserId = $("#select-user").val();
                var vPro = $("#select-province").val();
                var vDis = $("#select-district").val();
                var vWard = $("#select-ward").val();
                $("#modal-add").modal('show');
                $("#btn-save-add").on("click", function () {
                    onBtnAdd(vPro, vDis, vWard, vUserId);
                })

            })



            $("#example1").on("click", ".btn-pending", function () {


                var vDataRow = getDataRowTable(this);
                // thuThapThongTinStatus(vObj, vDataRow);
                $.ajax({
                    url: gBASE_URL + "realestate/approved/" + vDataRow.id,
                    type: "PUT",
                    headers: { "Authorization": "Bearer " + accessToken },
                    // data: JSON.stringify(vObj),
                    contentType: "application/json; charset=utf-8",
                    success: function (paramRes) {
                        alert("status appvored");
                        location.reload();
                    },
                    error: function (paramErr) {
                        alert(paramErr.status);
                    }



                })
            })
            $("#example1").on("click", ".btn-approved", function () {


                var vDataRow = getDataRowTable(this);
                // thuThapThongTinStatus(vObj, vDataRow);
                $.ajax({
                    url: gBASE_URL + "realestate/pending/" + vDataRow.id,
                    type: "PUT",
                    headers: { "Authorization": "Bearer " + accessToken },
                    // data: JSON.stringify(vObj),
                    contentType: "application/json; charset=utf-8",
                    success: function (paramRes) {
                        alert("status pending...");
                        location.reload();
                    },
                    error: function (paramErr) {
                        alert(paramErr.status);
                    }



                })
            })



            $("#example1").on("click", ".btn-update", function () {
                $("#modal-up").modal('show');
                var vData = getDataRowTable(this);
                fillDataUpdate(vData);

                $("#btn-save-up").on("click", function () {
                    onBtnUp(vData.id);
                })
            })

            $("#example1").on("click", ".btn-delete", function () {
                $("#modal-delete").modal('show');
                var vData = getDataRowTable(this);
                $("#btn-save-delete").on("click", function () {
                    onDeletePhotoByRealId(vData.id);
                    // onBtnDelete(vData.id);
                })
            })


        })
        /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
        function onDrawData(paramData) {
            gSTT = 0;
            var vTable = $("#example1").DataTable();
            vTable.clear();
            vTable.rows.add(paramData);
            vTable.draw();
        }
        function onLoadDataTable() {
            $.ajax({
                url: gBASE_URL + "realestate",
                type: "GET",
                headers: { "Authorization": "Bearer " + accessToken },
                success: function (paramRes) {

                    onDrawData(paramRes);
                },
                error: function (paramErr) {
                    alert(paramErr.status);
                }
            })
        }
        function onBtnAdd(paramProvince, paramDis, paramWard, paramUser) {
            var vObj = {
                title: "",
                type: 0,
                request: 0,
                address: "",
                price: 0,
                priceMin: 0,
                priceTime: 0,
                dateCreate: "",
                acreage: 0,
                direction: 3,
                totalFloors: 0,
                numberFloors: 0,
                bath: 0,
                apartCode: "",
                wallArea: 0.0,
                bedroom: 0,
                balcony: 0,
                landscapeView: "",
                apartLoca: 0,
                partType: 0,
                furnitureType: 0,
                priceRent: 12,
                returnRate: 0.0,
                legalDoc: 0,
                description: "",
                withY: 0,
                longX: 0,
                streetHouse: 0,
                viewNum: 0,
                createBy: 0,
                updateBy: 0,
                shape: null,
                distance2facade: 0,
                adjacentFacadeNum: 0,
                adjacentRoad: null,
                alleyMinWidth: 0,
                adjacentAlleyMinWidth: 0,
                factor: 0,
                structure: null,
                photo: "",
                lat: 0.0,
                lng: 0.0,
                fsbo: 0,
                clcl: 0,
                dtsxd: 0,
                ctxdprice: 0,
                ctxdvalue: 0,
                status: 0

            }
            getInfo(vObj);
            console.log(vObj);
            var vCheck = validateInfo(vObj);
            if (vCheck) {
                $.ajax({
                    url: gBASE_URL + "realestate/" + paramUser + "/" + paramProvince + "/" + paramDis + "/" + paramWard,
                    type: "POST",
                    headers: { "Authorization": "Bearer " + accessToken },
                    dataType: "json",
                    contentType: "application/json; charset=utf-8",
                    data: JSON.stringify(vObj),
                    success: function (paramRes) {
                        alert("add customer success!");
                        location.reload();
                    },
                    error: function (paramErr) {
                        alert(paramErr.status);
                    }
                })
            }

        }
        function onBtnUp(paramId) {
            var vObj = {

                title: "",
                type: 0,
                request: 0,
                address: "",
                price: 0,
                priceMin: 0,
                priceTime: 0,
                dateCreate: "",
                acreage: 0,
                direction: 3,
                totalFloors: 0,
                numberFloors: 0,
                bath: 0,
                apartCode: "",
                wallArea: 0.0,
                bedroom: 0,
                balcony: 0,
                landscapeView: "",
                apartLoca: 0,
                partType: 0,
                furnitureType: 0,
                priceRent: 12,
                returnRate: 0.0,
                legalDoc: 0,
                description: "",
                withY: 0,
                longX: 0,
                streetHouse: 0,
                viewNum: 0,
                createBy: 0,
                updateBy: 0,
                shape: null,
                distance2facade: 0,
                adjacentFacadeNum: 0,
                adjacentRoad: null,
                alleyMinWidth: 0,
                adjacentAlleyMinWidth: 0,
                factor: 0,
                structure: null,
                photo: "",
                lat: 0.0,
                lng: 0.0,
                fsbo: 0,
                clcl: 0,
                dtsxd: 0,
                ctxdprice: 0,
                ctxdvalue: 0,
                status: 0
            }
            getInfoUpdate(vObj);
            console.log(vObj);


            $.ajax({
                url: gBASE_URL + "realestateUp/" + paramId,
                type: "PUT",
                headers: { "Authorization": "Bearer " + accessToken },
                dataType: "json",
                contentType: "application/json; charset=utf-8",
                data: JSON.stringify(vObj),
                success: function (paramRes) {
                    alert("Update customer success!");
                    location.reload();
                },
                error: function (paramErr) {
                    alert(paramErr.status);
                }
            })


        }
        function onBtnDelete(paramId) {
            $.ajax({
                url: gBASE_URL + "realestate/" + paramId,
                type: "DELETE",
                headers: { "Authorization": "Bearer " + accessToken },
                success: function (paramRes) {
                    alert("delete realestate success!");
                    location.reload();
                },
                error: function (paramErr) {
                    alert(paramErr.status);
                }
            })
        }

        function onDeletePhotoByRealId(paramId) {
            $.ajax({
                url: gBASE_URL + "photo/real/" + paramId,
                type: "DELETE",
                headers: { "Authorization": "Bearer " + accessToken },
                success: function (paramRes) {

                    onBtnDelete(paramId);
                },
                error: function (paramErr) {
                    alert(paramErr.status);
                }
            })
        }
        function onLoadUser() {
            $.ajax({
                url: gBASE_URL + "users/allUser",
                type: "GET",
                headers: { "Authorization": "Bearer " + accessToken },
                success: function (paramRes) {

                    handleLoadUser(paramRes);
                },
                error: function (paramErr) {
                    alert(paramErr.status);
                }
            })
        }

        function onLoadProvince() {
            $.ajax({
                url: gBASE_URL + "province",
                type: "GET",
                headers: { "Authorization": "Bearer " + accessToken },
                success: function (paramRes) {
                    handleProvince(paramRes);
                    // console.log(accessToken)
                    // alert("hello");
                },
                error: function (paramErr) {
                    alert(paramErr.status);
                }
            })
        }
        function onLoadDistrict(paramId) {
            $.ajax({
                url: gBASE_URL + "province/" + paramId,
                type: "GET",
                headers: { "Authorization": "Bearer " + accessToken },
                success: function (paramRes) {
                    handleDistrict(paramRes);
                },
                error: function (paramErr) {
                    alert(paramErr.status);
                }
            })
        }
        function onLoadWard(paramId) {
            $.ajax({
                url: gBASE_URL + "district/" + paramId,
                type: "GET",
                headers: { "Authorization": "Bearer " + accessToken },
                success: function (paramRes) {
                    handleWard(paramRes);
                },
                error: function (paramErr) {
                    alert(paramErr.status);
                }
            })
        }

        /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/

        function thuThapThongTinStatus(paramObj, paramData) {
            paramObj.title = paramData.title;
            paramObj.type = paramData.type;
            paramObj.description = paramData.description;
            paramObj.price = paramData.price;


            paramObj.address = paramData.address;

            paramObj.request = paramData.request;

            paramObj.acreage = paramData.acreage;
            paramObj.bedroom = paramData.bedroom
            paramObj.bath = paramData.bath;
            paramObj.totalFloors = paramData.totalFloors;
            paramObj.photo = paramData.photo;


        }
        function getInfo(paramObj) {
            paramObj.title = $("#inp-add-title").val();
            paramObj.address = $("#inp-add-address").val();
            paramObj.bedroom = $("#inp-add-bedroom").val();
            paramObj.bath = $("#inp-add-bath").val();
            paramObj.price = $("#inp-add-price").val();
            paramObj.photo = $("#inp-add-photo").val();
            paramObj.totalFloors = $("#inp-add-floor").val();
            paramObj.acreage = $("#inp-add-acreage").val();
            paramObj.description = $("#inp-add-des").val();
            paramObj.partType = $("#inp-add-type").val();
            paramObj.request = $("#inp-add-request").val();

        }
        function validateInfo(paramObj) {
            if (paramObj.title == "" || paramObj.address == "" || paramObj.acreage == "" || paramObj
                .photo == "") {
                alert("Nhập đầy đủ các trường!");
                return false;
            }
            return true;
        }

        function getDataRowTable(paramElement) {

            var vTable = $("#example1").DataTable();
            var vRow = $(paramElement).closest("tr");
            var vData = vTable.row(vRow).data();
            return vData;
        }
        function fillDataUpdate(paramData) {
            $("#inp-up-title").val(paramData.title);
            $("#inp-up-type").val(paramData.partType);
            $("#inp-up-request").val(paramData.request);
            $("#inp-up-price").val(paramData.price);
            $("#inp-up-address").val(paramData.address);
            $("#inp-up-floor").val(paramData.totalFloors);
            $("#inp-up-bath").val(paramData.bath);
            $("#inp-up-bedroom").val(paramData.bedroom);
            $("#inp-up-des").val(paramData.description);
            $("#inp-up-photo").val(paramData.photo);
        }
        function getInfoUpdate(paramObj) {
            paramObj.title = $("#inp-up-title").val();
            paramObj.partType = $("#inp-up-type").val();
            paramObj.address = $("#inp-up-address").val();
            paramObj.request = $("#inp-up-request").val();
            paramObj.price = $("#inp-up-price").val();
            paramObj.totalFloors = $("#inp-up-floor").val();
            paramObj.bath = $("#inp-up-bath").val();
            paramObj.bedroom = $("#inp-up-bedroom").val();
            paramObj.description = $("#inp-up-des").val();
            paramObj.photo = $("#inp-up-photo").val();
        }
        function handleLoadUser(paramData) {
            for (var bI = 0; bI < paramData.length; bI++) {
                $("#select-user").append($("<option>", {
                    text: paramData[bI].username,
                    value: paramData[bI].id
                }))
            }

        }
        function handleProvince(paramData) {
            for (var bI = 0; bI < paramData.length; bI++) {
                $("#select-province").append($("<option>", {
                    text: paramData[bI].name,
                    value: paramData[bI].id
                }))
            }

        }
        function handleDistrict(paramData) {
            for (var bI = 0; bI < paramData.districts.length; bI++) {
                $("#select-district").append($("<option>", {
                    text: paramData.districts[bI].name,
                    value: paramData.districts[bI].id
                }))
            }

        }
        function handleWard(paramData) {
            for (var bI = 0; bI < paramData.wards.length; bI++) {
                $("#select-ward").append($("<option>", {
                    text: paramData.wards[bI].name,
                    value: paramData.wards[bI].id
                }))
            }

        }
    </script>

</body>

</html>